Kerbal Space Program - Bug #1001

2-Hot Thermometer incorrect near sun
07/13/2013 01:55 PM - MrFailSauce

Status: Closed Start date: 07/13/2013
Severity: Very Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.20.2 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

What happens: When doing a solar impact probe, the 2-hot thermometer gets stuck at the reading "014.89", just before impact it
climbs to "014.91"

How to reproduce:

Rocket with with 1x6 deployable solar panels and 2-hot. Launch at dusk burn until escape. Then burn every orbit at apogee until
impact trajectory with sun. Not long after getting away from Kerbal temperature values get stuck at "014.89" and stay there until 100k
m, then climbs to "014.91"

Notes:

*I'm guessing that this is "off-scale high" in the temp model, combined with a string formatting error.

*It was a couple solar orbits/burns before | noticed. Maybe it had to do with the warp time? | just used normal time warp, not physics
warp.

History

#1 - 07/22/2013 11:57 PM - Ted

- Severity changed from Normal to Very Low

This is more of a limitation due to the current heat model, than anything else. Nevertheless, it's best kept open, but I'll lower the priority.

#2 - 08/17/2015 07:20 AM - featherwinglove

Now that were in the #5181 era, | think we can retire this one.

#3 - 08/17/2015 08:44 AM - Squelch
- Status changed from New to Resolved

- % Done changed from 0 to 100

featherwinglove wrote:

Now that were in the #5181 era, | think we can retire this one.

Agreed. The new heat simulation renders this issue moot if not fixed notwithstanding the thermal runaway bug from #5181

#4 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
